Domains - Get Domain
Returns the specified domain info.
Note
This API is a release version of a preview version due to be deprecated on March 31, 2026.
When calling this API - callers must set the query parameter preview to the value false
Permissions
The caller must be a Fabric administrator.
Required Delegated Scopes
Tenant.Read.All or Tenant.ReadWrite.All.
Limitations
Maximum 25 requests per one minute per principal.
Microsoft Entra supported identities
This API supports the Microsoft identities listed in this section.
| Identity | Support |
|---|---|
| User | Yes |
| Service principal and Managed identities | Yes |
Interface
GET https://api.fabric.microsoft.com/v1/admin/domains/{domainId}?preview={preview}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
domain
|
path | True |
string (uuid) |
The domain ID. |
|
preview
|
query | True |
boolean |
This parameter specifies which version of the API to use. Set to |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Request completed successfully. |
|
| 429 Too Many Requests |
The service rate limit was exceeded. The server returns a Headers Retry-After: integer |
|
| Other Status Codes |
Common error codes:
|
Examples
Get a domain example
Sample request
GET https://api.fabric.microsoft.com/v1/admin/domains/f2f6a374-789e-4d1d-9cc7-6e0b934fc529?preview=false
Sample response
{
"id": "f2f6a374-789e-4d1d-9cc7-6e0b934fc529",
"displayName": "Finance",
"description": "This domain is used for identifying financial data and reports.",
"parentDomainId": null,
"defaultLabelId": "b2b6fdcc-f8d9-44d9-ae14-2d1fccc0a38f"
}
Definitions
| Name | Description |
|---|---|
| Domain | |
|
Error |
A structured parameter providing additional machine-readable context about an error. |
|
Error |
The error related resource details object. |
|
Error |
The error response. |
|
Error |
The error response details. |
Domain
| Name | Type | Description |
|---|---|---|
| defaultLabelId |
string (uuid) |
The domain default sensitivity label. |
| description |
string |
The description of the domain. |
| displayName |
string |
The name of the domain. |
| id |
string (uuid) |
The domain object ID. |
| parentDomainId |
string (uuid) |
The domain parent object ID. |
ErrorParameter
A structured parameter providing additional machine-readable context about an error.
| Name | Type | Description |
|---|---|---|
| message |
string |
A human-readable description of the parameter's meaning. |
| name |
string |
The parameter identifier. |
| value |
string |
The parameter value. |
ErrorRelatedResource
The error related resource details object.
| Name | Type | Description |
|---|---|---|
| resourceId |
string |
The resource ID that's involved in the error. |
| resourceType |
string |
The type of the resource that's involved in the error. |
ErrorResponse
The error response.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| isRetriable |
boolean |
When true, the request can be retried. Use the |
| message |
string |
A human readable representation of the error. |
| moreDetails |
List of additional error details. |
|
| parameters |
Structured parameters providing additional machine-readable context about the error. |
|
| relatedResource |
The error related resource details. |
|
| requestId |
string (uuid) |
ID of the request associated with the error. |
ErrorResponseDetails
The error response details.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| message |
string |
A human readable representation of the error. |
| parameters |
Structured parameters providing additional machine-readable context about the error. |
|
| relatedResource |
The error related resource details. |